<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
        //global-Podemos acceder a ellas desde cualquier parte del codigo
        //local-Variables creadas dentro, solo pueden ser accedidas desde su funcion o una funcion anidada
         //var vglobal="Esta variable es global";
         //var mifunc= function(){
             //si la quitamos la palabra reservada var se vuelve global
             // var vlocal="soy local";
             //alert(vlocal);
             //anidar funcion dentro de otra
             //var Funcionlocal=function(){
                 //var vlocla="soy una variable local dentro de una funcion anidad";
                // alert(vlocla);
         //       }
               // Funcionlocal();
            //  alert(vglobal);
            //  vglobal="modificada";
            // alert(vglobal);
         //}
        // mifunc();

        //funcion auto invocada asi se protege las variables
    (function(){
        
    }())



    </script>
</body>
</html>